package som.hardware.message.action;

public enum ActionType {
  MACRO_LIQUID_DISPENSE,
  MACRO_NON_LIQUID_DISPENSE,
  MACRO_RESET_CONTAINER,
  MACRO_REACH_POSITION_AT_SPEED,
  MICRO_ANTICLOCKWISE_DISPENSE,
  MICRO_CLOCKWISE_DISPENSE,
  MICRO_RESET_POD,
  MICRO_REACH_ANGLE_WITH_SPEED,
  LIQUID_OIL_DISPENSE,
  LIQUID_WATER_DISPENSE;

  public String getActionType() {
    return this.name();
  }
}
